/**
 * Задача "Лотерея"
 * 1-я личная интернет-олимпиада сезона 2009-2010.
 * Автор задачи: Владимир Ульянцев, ulyantcev@rain.ifmo.ru
 * Автор решения: Ганеев Рустам, ganeev@rain.ifmo.ru
 *
 * Наивное решение
 */
import java.io.*;
import java.util.*;
import java.math.*;

public class lottery_rg_tl implements Runnable {

	public static void main(String[] args) {
		new Thread(new lottery_rg_tl()).start();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(this.hashCode());

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	long nextLong() {
		return Long.parseLong(nextToken());
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean u, String message) {

	}

	String FNAME = "lottery";

	private void solve() throws IOException {
		int n = nextInt(), k = nextInt();
		long num[] = new long[n];
		for (int i = 0; i < n; i++) {
			num[i] = nextLong();
		}
		long ans = 0;
		long a = nextLong(), b = nextLong();
		for (long i = a; i <= b; i++) {
			int tmp = 0;
			for (int j = 0; j < n; j++) {
				tmp += i % num[j] == 0 ? 1 : 0;
			}
			ans += tmp == k ? 1 : 0;
		}
		out.print(ans);
	}
}
